export default {

statusBarAtTop: false,
landingDocument: {
  name: 'welcome.md',
  render() {
    return 'Welcome to qwe!'
  }
},

binds: {
  reload: 'Ctrl-Escape',
  editPath: 'Ctrl-r',
  save: 'Ctrl-s',
  open: 'Ctrl-o',
  openDirectory: 'Ctrl-l'
},

languages: [
  {
    exts: [ 'js', 'mjs', 'cjs', 'ejs' ],
    name: 'js',
    import: './lib/javascript.js',
    createExtension({ javascript }) {
      return javascript({

      })
    }
  },
  {
    exts: [ 'md' ],
    name: 'md',
    import: './lib/markdown.js',
    createExtension({ markdown }) {
      return markdown()
    }
  }
]

}